Computer Security
[EN] securityvulns.ru no-pyccku


KDE KGet directory traversal
Published:19.04.2011
Source:
SecurityVulns ID:11607
Type:client
Threat Level:
5/10
Description:Directory traversal via filename.
Affected:KDE : KDE 4.3
 KDE : KDE 4.4
 KDE : KDE 4.5
CVE:CVE-2011-1586 (Directory traversal vulnerability in the KGetMetalink::File::isValidNameAttr function in ui/metalinkcreator/metalinker.cpp in KGet in KDE SC 4.6.2 and earlier allows remote attackers to create arbitrary files via a .. (dot dot) in the name attribute of a file element in a metalink file. NOTE: this vulnerability exists because of an incomplete fix for CVE-2010-1000.)
Original documentdocumentUBUNTU, [USN-1114-1] KDENetwork vulnerability (19.04.2011)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod